> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Checkout transaction event KPIs

> Get a list of KPIs where the result is the aggregation of the specified
event type given provided interval

Scopes:
  - read:insight
  - admin:insight




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments-v2.yaml get /accounts/{aid}/insight/kpi/checkout-transaction-events
openapi: 3.0.0
info:
  title: Payments API v2
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: |
    Public endpoints for payments served under the account-scoped URL format
    `https://api.dintero.com/v1/accounts/{aid}/...`.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
  - name: Card Tokens
    description: |
      Manage card tokens
  - name: terminals
    x-displayName: Terminals
    description: Terminal operations
  - name: v2-fund-transfers
    x-displayName: Fund transfers
    description: Transfer funds between sellers
  - name: payout-destinations
    x-displayName: payout destinations
    description: |
      Payout destinations
  - name: account-stores
    x-displayName: stores
    description: |
      Manage account stores
  - name: account-terminals
    x-displayName: terminals
    description: |
      Manage account terminals
  - name: report-configuration
    x-displayName: Report configuration
    description: Manage report configurations
  - name: kpi
    x-displayName: KPI
    description: Get KPI data
paths:
  /accounts/{aid}/insight/kpi/checkout-transaction-events:
    get:
      tags:
        - kpi
      summary: api_insight_checkout_transactions_events_kpis_get
      description: |
        Get a list of KPIs where the result is the aggregation of the specified
        event type given provided interval

        Scopes:
          - read:insight
          - admin:insight
      operationId: api_insight_checkout_transactions_events_kpis_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - name: interval
          in: query
          required: true
          description: |
            The interval over which the data will be aggregated.
          schema:
            type: string
            enum:
              - day
        - name: event
          in: query
          required: true
          description: >
            Only transactions with this event type will be included in the
            aggregation
          schema:
            type: string
            enum:
              - AUTHORIZE
              - CAPTURE
              - REFUND
              - VOID
        - name: created_at_gte
          in: query
          required: true
          description: |
            Filter by event created_at, not when the transaction was created
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/InsightCheckoutTransactionEventsKPIs'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
  responses:
    InsightCheckoutTransactionEventsKPIs:
      description: Checkout Transaction events KPIs
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/InsightCheckoutTransactionEventsKPIs'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    InsightCheckoutTransactionEventsKPIs:
      type: object
      required:
        - interval
        - values
      properties:
        interval:
          type: string
          enum:
            - day
        values:
          description: Interval where the count is zero is excluded from the result
          type: array
          items:
            type: object
            required:
              - payment_product_type
              - currency
              - count
              - avg_amount
              - sum_amount
              - date
            properties:
              payment_product_type:
                type: string
                example: dintero_psp.creditcard
              currency:
                type: string
                example: NOK
              count:
                type: integer
                description: Event count given the interval
                minimum: 1
                example: 40
              avg_amount:
                type: integer
                description: |
                  Average event amount given the interval in minor units
                minimum: 1
                example: 19995
              sum_amount:
                type: integer
                description: |
                  Sum of event amount given the interval in minor units
                minimum: 1
                example: 799810
              date:
                type: string
                description: >
                  The date field in the response represents the UTC calendar
                  date

                  derived from each event's created_at timestamp after
                  converting it to UTC


                  As a result, depending on your local time zone, events that
                  appear to span

                  midnight locally may be aggregated under a single UTC date or
                  split across

                  two UTC dates.
                format: date
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get Token](/api-reference/authenticate/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.